Summary: JFree Base Services
Name: libbase
Version: 1.1.3
Release: 4%{?dist}
License: LGPLv2
URL: http://reporting.pentaho.org/
Source0: %{name}-%{version}-jarsdeleted.zip

BuildRequires: ant, java-devel, jpackage-utils
Requires: java-headless, jpackage-utils

BuildArch: noarch
ExclusiveArch:  %{java_arches} noarch

Patch3000: libbase-1.1.2.build.patch
Patch3001: libbase-1.1.2.java11.patch
Patch3002: libbase-1.1.3-remove-antcontrib-support.patch
Patch3003: libbase-1.1.3-remove-commons-logging.patch

%description
This library is a collection of convenience functions to make
common tasks easier and less error-prone.

In this context, “error-prone” covers both “hard to do correctly”
and “hard to do with good performance”, but as a general purpose
library, libbase's primary focus is on making it easier to do things
easily and correctly when a compromise has to be made between “simplest
API” on the one hand and “fastest implementation” on the other. Though
obviously the ideal is to have both.

%package javadoc
Summary: Javadoc for %{name}
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
This package provides javadoc for %{name}.

%prep
%autosetup -c -p1

find . -name "*.jar" -exec rm -f {} \;

%build
ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%license licence-LGPL.txt
%doc ChangeLog.txt README.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 cunshunxia <cunshunxia@tencent.com> - 1.1.3-1
- initial build
